propellor-5.10.1: property-based host configuration management in haskell

Maintainer | Zihao Wang <dev@wzhd.org>
Safe Haskell | None
Language | Haskell98

Propellor.Property.Pacman

Description

Support for the Pacman package manager https://www.archlinux.org/pacman/

Synopsis

- runPacman :: [String] -> UncheckedProperty ArchLinux
- update :: Property ArchLinux
- upgrade :: Property ArchLinux
- type Package = String
- installed :: [Package] -> Property ArchLinux
- installed' :: [String] -> [Package] -> Property ArchLinux
- removed :: [Package] -> Property ArchLinux
- isInstalled :: Package -> IO Bool
- isInstalled' :: [Package] -> IO Bool
- data InstallStatus
  - = IsInstalled
  - | NotInstalled
- getInstallStatus :: [Package] -> IO [InstallStatus]
- succeeds :: String -> [String] -> IO Bool

# Documentation

runPacman :: [String] -> UncheckedProperty ArchLinux Source #

update :: Property ArchLinux Source #

Have pacman update its lists of packages, but without upgrading anything.

upgrade :: Property ArchLinux Source #

type Package = String Source #

installed :: [Package] -> Property ArchLinux Source #

installed' :: [String] -> [Package] -> Property ArchLinux Source #

removed :: [Package] -> Property ArchLinux Source #

isInstalled :: Package -> IO Bool Source #

isInstalled' :: [Package] -> IO Bool Source #

data InstallStatus Source #

Constructors

IsInstalled |
NotInstalled |

Instances

Eq InstallStatus Source # |
Instance details Defined in Propellor.Property.Pacman Methods (==) :: InstallStatus -> InstallStatus -> Bool (/=) :: InstallStatus -> InstallStatus -> Bool
Show InstallStatus Source # |
Instance details Defined in Propellor.Property.Pacman Methods showsPrec :: Int -> InstallStatus -> ShowS show :: InstallStatus -> String showList :: [InstallStatus] -> ShowS

getInstallStatus :: [Package] -> IO [InstallStatus] Source #

succeeds :: String -> [String] -> IO Bool Source #